#ifndef ULIB_ASSERT_H_
#define ULIB_ASSERT_H_

#include <util/util.h>
#include <uprintf.h>

#define ASSERT(X, fmt, ...) \
  do { \
    if (!(X)) { \
      uprintf("ASSERT %s:%d in %s "fmt, __FILE__, __LINE__, __func__, ##__VA_ARGS__); \
      quit(); \
    } \
  } while(0)

#endif // ULIB_ASSERT_H_
